Subject: Re: [PATCH] config: Introduce --patience config variable

From: Michal Privoznik <[email-masked]>
Date: Tue, 06 Mar 2012 14:32:33 +0100

On 06.03.2012 14:01, Thomas Rast wrote:
> Jeff King <[email-masked]> writes:
> 
>> On Tue, Mar 06, 2012 at 11:59:42AM +0100, Michal Privoznik wrote:
>>
>>> --- a/Documentation/diff-config.txt
>>> +++ b/Documentation/diff-config.txt
>>> @@ -86,6 +86,9 @@ diff.mnemonicprefix::
>>>  diff.noprefix::
>>>  	If set, 'git diff' does not show any source or destination prefix.
>>>  
>>> +diff.patience:
>>> +    If set, 'git diff' will use patience algorithm.
>>> +
>>
>> Should this be a boolean? Or should we actually have a diff.algorithm
>> option where you specify the algorithm you want (e.g., "diff.algorithm =
>> patience")? That would free us up later to more easily add new values.
>>
>> In particular, I am thinking about --minimal. It is mutually exclusive
>> with --patience, and is simply ignored if you use patience diff.
>> we perhaps have "diff.algorithm" which can be one of "myers", "minimal"
>> (which is really myers + the minimal flag), and "patience".
> 
> Don't forget "histogram".  I have no idea why it's not documented
> (evidently 8c912eea slipped through the review cracks) but --histogram
> is supported since 1.7.7.
> 

Okay guys. I'll got with diff.algorithm = [patience | minimal |
histogram | myers] then. What I am not sure about is how to threat case
when user have say algorithm = patience set in config but want to use
myers. I guess we need --myers option then, don't we?

Michal